summaryrefslogtreecommitdiffstats
path: root/packaging/docker/run.sh
diff options
context:
space:
mode:
authorAustin S. Hemmelgarn <austin@netdata.cloud>2020-05-19 15:11:13 -0400
committerGitHub <noreply@github.com>2020-05-19 15:11:13 -0400
commit9511af410de5e47f9e1fd7a0718dd98d82d6edb4 (patch)
treeff341a2a198ab58d3034dd2a59cd65cb48eb2826 /packaging/docker/run.sh
parenta35a951e39346cc4f1b07091895bf5b58bdd3196 (diff)
Removeed Polyverse Polymorphic Linux from Docker builds. (#8802)
* Removeed Polyverse Polymorphic Linux from Docker images. It ends up using roughly 140MB of extra space, only works for 64-bit x86, and the benefits for a majority of our users range from questionale to completely non-existent. * Update docs and add runtime support for Polyverse.
Diffstat (limited to 'packaging/docker/run.sh')
-rwxr-xr-xpackaging/docker/run.sh11
1 files changed, 8 insertions, 3 deletions
diff --git a/packaging/docker/run.sh b/packaging/docker/run.sh
index 1d886f01ac..ab4381b9bf 100755
--- a/packaging/docker/run.sh
+++ b/packaging/docker/run.sh
@@ -12,9 +12,14 @@ if [ ! "${DO_NOT_TRACK:-0}" -eq 0 ] || [ -n "$DO_NOT_TRACK" ]; then
fi
echo "Netdata entrypoint script starting"
-if [ ${RESCRAMBLE+x} ]; then
- echo "Reinstalling all packages to get the latest Polymorphic Linux scramble"
- apk upgrade --update-cache --available
+if [ ${RESCRAMBLE+x} ] && [ "$(uname -m)" == "x86_64" ]; then
+ echo "Injecting packages from Polymorphic Linux"
+ apk update && apk upgrade
+ curl https://sh.polyverse.io | sh -s install gcxce5byVQbtRz0iwfGkozZwy support+netdata@polyverse.io
+ # shellcheck disable=SC2181
+ if [ $? -eq 0 ]; then
+ apk update && apk upgrade --available --no-cache && sed -in 's/^#//g' /etc/apk/repositories
+ fi
fi
if [ -n "${PGID}" ]; then